networks:
  default:
  reverse-proxy:
    external: true

services:
  service: &service
    command:
      - /sebn-inventory/apache.sh
    environment:
      - TZ
      - MYSQL_ROOT_PASSWORD
      - MYSQL_DATABASE
      - MYSQL_USER
      - MYSQL_PASSWORD
      - MYSQL_HOST
      - MYSQL_PORT
      - BACKEND_HOST
      - BACKEND_PORT
      - CELERY_BROKER
      - LANG
      - SECRET_KEY
      - LDAP_BIND_DN
      - LDAP_BIND_PASSWORD
      - LDAP_PORT
      - LDAP_HOST
      - LDAP_BASE
      - LDAP_ADMINS
      - CHOKIDAR_USEPOLLING
      - REACT_APP_BACKEND_URL
      - REACT_APP_NAME
      - REACT_APP_VERSION
      - FAST_REFRESH
    volumes:
      - media-content:/sebn-inventory/backend
    networks:
      default:
      reverse-proxy:
        aliases:
          - sebn-inventory
    image: sebn-inventory
  task-queue:
    <<: *service
    volumes:
      - media-content:/sebn-inventory/backend
    command:
      - ../celery.sh
    networks:
      default:
      reverse-proxy:

volumes:
  media-content:

version: "3.8"
